package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="risk_score_percentage_wrk")
public class RiskScorePercentageWrk implements Serializable {

/*	Table: risk_score_percentage_wrk
	--------------------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      PRI     (NULL)                                          select,insert,update,references           
	audit_type_code         varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	minimun_per             int(2)        (NULL)             NO              (NULL)                                          select,insert,update,references           
	maximum_per             int(3)        (NULL)             NO              (NULL)                                          select,insert,update,references           
	risk_category_code      varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	risk_category_desc      varchar(50)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	rating_internal	        int(2)        (NULL)             YES     	     (NULL)                                          select,insert,update,references
	auth_rej_remarks        varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp  */
	
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Column(name="minimun_per")
	private Integer minimunPer;
	
	@Column(name="maximum_per")
	private Integer maximumPer;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Id
	@Column(name="risk_category_code")
	private String riskCategoryCode;

	@Column(name="risk_category_desc")
	private String riskCategoryDesc;
	
	@Column(name="rating_internal")
	private Integer ratingInternal;

	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	
	/**
	 * @return the authRejRemarks
	 */
	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	/**
	 * @param authRejRemarks the authRejRemarks to set
	 */
	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the minimunPer
	 */
	public Integer getMinimunPer() {
		return minimunPer;
	}

	/**
	 * @param minimunPer the minimunPer to set
	 */
	public void setMinimunPer(Integer minimunPer) {
		this.minimunPer = minimunPer;
	}

	/**
	 * @return the maximumPer
	 */
	public Integer getMaximumPer() {
		return maximumPer;
	}

	/**
	 * @param maximumPer the maximumPer to set
	 */
	public void setMaximumPer(Integer maximumPer) {
		this.maximumPer = maximumPer;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the riskCategoryCode
	 */
	public String getRiskCategoryCode() {
		return riskCategoryCode;
	}

	/**
	 * @param riskCategoryCode the riskCategoryCode to set
	 */
	public void setRiskCategoryCode(String riskCategoryCode) {
		this.riskCategoryCode = riskCategoryCode;
	}

	/**
	 * @return the riskCategoryDesc
	 */
	public String getRiskCategoryDesc() {
		return riskCategoryDesc;
	}

	/**
	 * @param riskCategoryDesc the riskCategoryDesc to set
	 */
	public void setRiskCategoryDesc(String riskCategoryDesc) {
		this.riskCategoryDesc = riskCategoryDesc;
	}

	public Integer getRatingInternal() {
		return ratingInternal;
	}

	public void setRatingInternal(Integer ratingInternal) {
		this.ratingInternal = ratingInternal;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
}
